Runs API
Retrieve run events
Returns all OTel span events for a run. Useful for debugging and observability.
GET
/
api
/
v1
/
runs
/
{runId}
/
events
TypeScript
const response = await fetch("https://api.trigger.dev/api/v1/runs/run_1234/events", {
headers: {
Authorization: `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
},
});
const { events } = await response.json();curl --request GET \
--url https://api.trigger.dev/api/v1/runs/{runId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trigger.dev/api/v1/runs/{runId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trigger.dev/api/v1/runs/{runId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"spanId": "<string>",
"parentId": "<string>",
"runId": "<string>",
"message": "<string>",
"startTime": "<string>",
"duration": 123,
"isError": true,
"isPartial": true,
"isCancelled": true,
"attemptNumber": 123,
"taskSlug": "<string>",
"events": [
{
"name": "<string>",
"time": "2023-11-07T05:31:56Z",
"properties": {}
}
],
"style": {
"icon": "<string>",
"variant": "<string>",
"accessory": {
"text": "<string>",
"style": "codepath"
}
}
}
]
}{
"error": "Invalid or Missing API key"
}{
"error": "Run not found"
}Authorizations
Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.
You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.
Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.
import { configure } from "@trigger.dev/sdk"; configure({ accessToken: "tr_dev_1234" });
Path Parameters
The ID of an run, starts with run_. The run ID will be returned when you trigger a run on a task.
Response
Successful request
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieve run traceReturns the full OTel trace tree for a run, including all spans and their children.
Next
⌘I
TypeScript
const response = await fetch("https://api.trigger.dev/api/v1/runs/run_1234/events", {
headers: {
Authorization: `Bearer ${process.env.TRIGGER_SECRET_KEY}`,
},
});
const { events } = await response.json();
